#pragma once
#include "BaseForm.h"

using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Windows::Forms;
using namespace System::Data;
using namespace System::Drawing;


namespace ObjDataEdit
{
	/// <summary> 
	/// Summary for TitleForm
	///
	/// WARNING: If you change the name of this class, you will need to change the 
	///          'Resource File Name' property for the managed resource compiler tool 
	///          associated with all .resx files this class depends on.  Otherwise,
	///          the designers will not be able to interact properly with localized
	///          resources associated with this form.
	/// </summary>
#ifndef _Just_Show_DotNet_Form_
    public __gc class TitleForm : public System::Windows::Forms::Form
#else 
    public __gc class TitleForm : public BaseForm
#endif	
	{
	public: 
        TitleForm( char* FormName , char* DBName , char* OutputFile  , bool IsReadOnly , SearchFormTypeENUM FormType ) :  BaseForm( FormName , DBName , OutputFile  , IsReadOnly , FormType )
        {
            InitializeComponent();
            this->panel4_Base->Controls->Add(this->panel1);
        }  
        
	protected: 
		void Dispose(Boolean disposing)
		{
			if (disposing && components)
			{
				components->Dispose();
			}
			__super::Dispose(disposing);
		}
    private: System::Windows::Forms::Panel *  panel1;


    private: System::Windows::Forms::Label *  label1;
    private: System::Windows::Forms::Label *  label2;
    private: System::Windows::Forms::GroupBox *  groupBox1;
    private: System::Windows::Forms::Label *  label3;
    private: System::Windows::Forms::Label *  label4;
    private: System::Windows::Forms::Label *  label5;
    private: System::Windows::Forms::TextBox *  textBox1;
    private: System::Windows::Forms::ComboBox *  CB_MainJob;
    private: System::Windows::Forms::ComboBox *  CB_SubJob;
    private: System::Windows::Forms::TextBox *  ED_SubJobLV;
    private: System::Windows::Forms::TextBox *  ED_MainJobLV;
    private: System::Windows::Forms::GroupBox *  groupBox2;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown36;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown35;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown34;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown33;
    private: System::Windows::Forms::NumericUpDown *  numericUpDown32;
	private: System::Windows::Forms::ComboBox*  CB_AbilityList5;
	private: System::Windows::Forms::ComboBox*  CB_AbilityList4;
	private: System::Windows::Forms::ComboBox*  CB_AbilityList3;
	private: System::Windows::Forms::ComboBox*  CB_AbilityList2;
	private: System::Windows::Forms::ComboBox*  CB_AbilityList1;
	private: System::Windows::Forms::Label*  label22;
	private: System::Windows::Forms::TextBox*  textBox25;
	private: System::Windows::Forms::Label*  label21;
	private: System::Windows::Forms::TextBox*  textBox23;
	private: System::Windows::Forms::Label*  LB_EqTypeOnAttackMagicID;
	private: System::Windows::Forms::Label*  label19;
	private: System::Windows::Forms::TextBox*  textBox9;
	private: System::Windows::Forms::TabControl*  TabControl_Type;

	private: System::Windows::Forms::TabPage*  tabPage1;
	private: System::Windows::Forms::TabPage*  tabPage2;
	private: System::Windows::Forms::TabPage*  tabPage3;
	private: System::Windows::Forms::TabPage*  tabPage4;
	private: System::Windows::Forms::TextBox*  textBox2;
	private: System::Windows::Forms::Label*  label8;
	private: System::Windows::Forms::Label*  label7;
	private: System::Windows::Forms::ComboBox*  CB_MonsterHountType;
	private: System::Windows::Forms::Label*  label6;
	private: System::Windows::Forms::ComboBox*  comboBox1;
	private: System::Windows::Forms::GroupBox*  groupBox3;
	private: System::Windows::Forms::Label*  LB_SkillName;

	private: System::Windows::Forms::TextBox*  textBox3;
	private: System::Windows::Forms::Label*  label11;
	private: System::Windows::Forms::TextBox*  textBox4;
	private: System::Windows::Forms::Label*  label10;
	private: System::Windows::Forms::CheckedListBox*  CLBModeFlag1;
	private: System::Windows::Forms::Label*  LB_Classify;

	private: System::Windows::Forms::TextBox*  textBox6;
	private: System::Windows::Forms::Label*  label9;
	private: System::Windows::Forms::TextBox*  textBox5;
	private: System::Windows::Forms::ComboBox*  comboBox3;
	private: System::Windows::Forms::Label*  label16;
	private: System::Windows::Forms::GroupBox*  groupBox4;
	private: System::Windows::Forms::Label*  label12;
	private: System::Windows::Forms::TextBox*  textBox8;
	private: System::Windows::Forms::GroupBox*  groupBox5;
	private: System::Windows::Forms::NumericUpDown*  numericUpDown1;
	private: System::Windows::Forms::NumericUpDown*  numericUpDown2;
	private: System::Windows::Forms::NumericUpDown*  numericUpDown3;
	private: System::Windows::Forms::NumericUpDown*  numericUpDown4;
	private: System::Windows::Forms::NumericUpDown*  numericUpDown5;
	private: System::Windows::Forms::ComboBox*  CB_AbilityListEx5;

	private: System::Windows::Forms::ComboBox*  CB_AbilityListEx4;

	private: System::Windows::Forms::ComboBox*  CB_AbilityListEx3;

	private: System::Windows::Forms::ComboBox*  CB_AbilityListEx2;

	private: System::Windows::Forms::ComboBox*  CB_AbilityListEx1;
	private: System::Windows::Forms::Label*  label13;
	private: System::Windows::Forms::TextBox*  textBox7;
	private: System::Windows::Forms::GroupBox*  groupBox6;
	private: System::Windows::Forms::Label*  label14;
	private: System::Windows::Forms::TextBox*  textBox10;


	private:
		/// <summary>
		/// Required designer variable.
		/// </summary>
		System::ComponentModel::Container* components;

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		void InitializeComponent(void)
		{
			this->panel1 = (new System::Windows::Forms::Panel());
			this->groupBox5 = (new System::Windows::Forms::GroupBox());
			this->label13 = (new System::Windows::Forms::Label());
			this->textBox7 = (new System::Windows::Forms::TextBox());
			this->numericUpDown1 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown2 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown3 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown4 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown5 = (new System::Windows::Forms::NumericUpDown());
			this->CB_AbilityListEx5 = (new System::Windows::Forms::ComboBox());
			this->CB_AbilityListEx4 = (new System::Windows::Forms::ComboBox());
			this->CB_AbilityListEx3 = (new System::Windows::Forms::ComboBox());
			this->CB_AbilityListEx2 = (new System::Windows::Forms::ComboBox());
			this->CB_AbilityListEx1 = (new System::Windows::Forms::ComboBox());
			this->groupBox4 = (new System::Windows::Forms::GroupBox());
			this->label12 = (new System::Windows::Forms::Label());
			this->textBox8 = (new System::Windows::Forms::TextBox());
			this->comboBox3 = (new System::Windows::Forms::ComboBox());
			this->label16 = (new System::Windows::Forms::Label());
			this->LB_Classify = (new System::Windows::Forms::Label());
			this->textBox6 = (new System::Windows::Forms::TextBox());
			this->label9 = (new System::Windows::Forms::Label());
			this->textBox5 = (new System::Windows::Forms::TextBox());
			this->CLBModeFlag1 = (new System::Windows::Forms::CheckedListBox());
			this->groupBox3 = (new System::Windows::Forms::GroupBox());
			this->label11 = (new System::Windows::Forms::Label());
			this->textBox4 = (new System::Windows::Forms::TextBox());
			this->label10 = (new System::Windows::Forms::Label());
			this->LB_SkillName = (new System::Windows::Forms::Label());
			this->textBox3 = (new System::Windows::Forms::TextBox());
			this->TabControl_Type = (new System::Windows::Forms::TabControl());
			this->tabPage1 = (new System::Windows::Forms::TabPage());
			this->tabPage2 = (new System::Windows::Forms::TabPage());
			this->groupBox1 = (new System::Windows::Forms::GroupBox());
			this->ED_SubJobLV = (new System::Windows::Forms::TextBox());
			this->ED_MainJobLV = (new System::Windows::Forms::TextBox());
			this->textBox1 = (new System::Windows::Forms::TextBox());
			this->label5 = (new System::Windows::Forms::Label());
			this->label4 = (new System::Windows::Forms::Label());
			this->label3 = (new System::Windows::Forms::Label());
			this->label1 = (new System::Windows::Forms::Label());
			this->CB_MainJob = (new System::Windows::Forms::ComboBox());
			this->CB_SubJob = (new System::Windows::Forms::ComboBox());
			this->label2 = (new System::Windows::Forms::Label());
			this->tabPage3 = (new System::Windows::Forms::TabPage());
			this->tabPage4 = (new System::Windows::Forms::TabPage());
			this->textBox2 = (new System::Windows::Forms::TextBox());
			this->label8 = (new System::Windows::Forms::Label());
			this->label7 = (new System::Windows::Forms::Label());
			this->CB_MonsterHountType = (new System::Windows::Forms::ComboBox());
			this->label6 = (new System::Windows::Forms::Label());
			this->comboBox1 = (new System::Windows::Forms::ComboBox());
			this->groupBox2 = (new System::Windows::Forms::GroupBox());
			this->label22 = (new System::Windows::Forms::Label());
			this->textBox25 = (new System::Windows::Forms::TextBox());
			this->label21 = (new System::Windows::Forms::Label());
			this->textBox23 = (new System::Windows::Forms::TextBox());
			this->LB_EqTypeOnAttackMagicID = (new System::Windows::Forms::Label());
			this->label19 = (new System::Windows::Forms::Label());
			this->textBox9 = (new System::Windows::Forms::TextBox());
			this->numericUpDown36 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown35 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown34 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown33 = (new System::Windows::Forms::NumericUpDown());
			this->numericUpDown32 = (new System::Windows::Forms::NumericUpDown());
			this->CB_AbilityList5 = (new System::Windows::Forms::ComboBox());
			this->CB_AbilityList4 = (new System::Windows::Forms::ComboBox());
			this->CB_AbilityList3 = (new System::Windows::Forms::ComboBox());
			this->CB_AbilityList2 = (new System::Windows::Forms::ComboBox());
			this->CB_AbilityList1 = (new System::Windows::Forms::ComboBox());
			this->groupBox6 = (new System::Windows::Forms::GroupBox());
			this->label14 = (new System::Windows::Forms::Label());
			this->textBox10 = (new System::Windows::Forms::TextBox());
			this->panel1->SuspendLayout();
			this->groupBox5->SuspendLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown1))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown2))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown3))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown4))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown5))->BeginInit();
			this->groupBox4->SuspendLayout();
			this->groupBox3->SuspendLayout();
			this->TabControl_Type->SuspendLayout();
			this->tabPage2->SuspendLayout();
			this->groupBox1->SuspendLayout();
			this->tabPage4->SuspendLayout();
			this->groupBox2->SuspendLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown36))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown35))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown34))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown33))->BeginInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown32))->BeginInit();
			this->groupBox6->SuspendLayout();
			this->SuspendLayout();
			// 
			// panel1
			// 
			this->panel1->Controls->Add(this->groupBox5);
			this->panel1->Controls->Add(this->groupBox4);
			this->panel1->Controls->Add(this->comboBox3);
			this->panel1->Controls->Add(this->label16);
			this->panel1->Controls->Add(this->LB_Classify);
			this->panel1->Controls->Add(this->textBox6);
			this->panel1->Controls->Add(this->label9);
			this->panel1->Controls->Add(this->textBox5);
			this->panel1->Controls->Add(this->CLBModeFlag1);
			this->panel1->Controls->Add(this->groupBox3);
			this->panel1->Controls->Add(this->TabControl_Type);
			this->panel1->Controls->Add(this->groupBox2);
			this->panel1->Dock = System::Windows::Forms::DockStyle::Fill;
			this->panel1->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->panel1->Location = System::Drawing::Point(0, 0);
			this->panel1->Name = S"panel1";
			this->panel1->Size = System::Drawing::Size(816, 814);
			this->panel1->TabIndex = 0;
			// 
			// groupBox5
			// 
			this->groupBox5->Controls->Add(this->groupBox6);
			this->groupBox5->Controls->Add(this->label13);
			this->groupBox5->Controls->Add(this->textBox7);
			this->groupBox5->Controls->Add(this->numericUpDown1);
			this->groupBox5->Controls->Add(this->numericUpDown2);
			this->groupBox5->Controls->Add(this->numericUpDown3);
			this->groupBox5->Controls->Add(this->numericUpDown4);
			this->groupBox5->Controls->Add(this->numericUpDown5);
			this->groupBox5->Controls->Add(this->CB_AbilityListEx5);
			this->groupBox5->Controls->Add(this->CB_AbilityListEx4);
			this->groupBox5->Controls->Add(this->CB_AbilityListEx3);
			this->groupBox5->Controls->Add(this->CB_AbilityListEx2);
			this->groupBox5->Controls->Add(this->CB_AbilityListEx1);
			this->groupBox5->Location = System::Drawing::Point(383, 267);
			this->groupBox5->Name = S"groupBox5";
			this->groupBox5->Size = System::Drawing::Size(365, 367);
			this->groupBox5->TabIndex = 170;
			this->groupBox5->TabStop = false;
			this->groupBox5->Text = S"新頭銜裝備系統";
			// 
			// label13
			// 
			this->label13->AutoSize = true;
			this->label13->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label13->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label13->Location = System::Drawing::Point(25, 156);
			this->label13->Name = S"label13";
			this->label13->Size = System::Drawing::Size(44, 12);
			this->label13->TabIndex = 164;
			this->label13->Text = S"說明文";
			// 
			// textBox7
			// 
			this->textBox7->Location = System::Drawing::Point(16, 174);
			this->textBox7->Multiline = true;
			this->textBox7->Name = S"textBox7";
			this->textBox7->Size = System::Drawing::Size(337, 88);
			this->textBox7->TabIndex = 162;
			this->textBox7->Tag = S"TitleSysNote";
			this->textBox7->TextChanged += new System::EventHandler(this, &TitleForm::GetStr_TextChanged);
			// 
			// numericUpDown1
			// 
			this->numericUpDown1->Location = System::Drawing::Point(303, 121);
			System::Int32 __mcTemp__1[] = new System::Int32[4];
			__mcTemp__1[0] = 100000;
			__mcTemp__1[1] = 0;
			__mcTemp__1[2] = 0;
			__mcTemp__1[3] = 0;
			this->numericUpDown1->Maximum = System::Decimal(__mcTemp__1);
			System::Int32 __mcTemp__2[] = new System::Int32[4];
			__mcTemp__2[0] = 100000;
			__mcTemp__2[1] = 0;
			__mcTemp__2[2] = 0;
			__mcTemp__2[3] = System::Int32::MinValue;
			this->numericUpDown1->Minimum = System::Decimal(__mcTemp__2);
			this->numericUpDown1->Name = S"numericUpDown1";
			this->numericUpDown1->Size = System::Drawing::Size(56, 22);
			this->numericUpDown1->TabIndex = 75;
			this->numericUpDown1->Tag = S"ExEqTypeValue5";
			System::Int32 __mcTemp__3[] = new System::Int32[4];
			__mcTemp__3[0] = 2;
			__mcTemp__3[1] = 0;
			__mcTemp__3[2] = 0;
			__mcTemp__3[3] = 0;
			this->numericUpDown1->Value = System::Decimal(__mcTemp__3);
			this->numericUpDown1->ValueChanged += new System::EventHandler(this, &TitleForm::GetValue_ValueChanged);
			this->numericUpDown1->Leave += new System::EventHandler(this, &TitleForm::GetValue_ValueChanged);
			// 
			// numericUpDown2
			// 
			this->numericUpDown2->Location = System::Drawing::Point(303, 97);
			System::Int32 __mcTemp__4[] = new System::Int32[4];
			__mcTemp__4[0] = 100000;
			__mcTemp__4[1] = 0;
			__mcTemp__4[2] = 0;
			__mcTemp__4[3] = 0;
			this->numericUpDown2->Maximum = System::Decimal(__mcTemp__4);
			System::Int32 __mcTemp__5[] = new System::Int32[4];
			__mcTemp__5[0] = 100000;
			__mcTemp__5[1] = 0;
			__mcTemp__5[2] = 0;
			__mcTemp__5[3] = System::Int32::MinValue;
			this->numericUpDown2->Minimum = System::Decimal(__mcTemp__5);
			this->numericUpDown2->Name = S"numericUpDown2";
			this->numericUpDown2->Size = System::Drawing::Size(56, 22);
			this->numericUpDown2->TabIndex = 74;
			this->numericUpDown2->Tag = S"ExEqTypeValue4";
			System::Int32 __mcTemp__6[] = new System::Int32[4];
			__mcTemp__6[0] = 2;
			__mcTemp__6[1] = 0;
			__mcTemp__6[2] = 0;
			__mcTemp__6[3] = 0;
			this->numericUpDown2->Value = System::Decimal(__mcTemp__6);
			this->numericUpDown2->ValueChanged += new System::EventHandler(this, &TitleForm::GetValue_ValueChanged);
			this->numericUpDown2->Leave += new System::EventHandler(this, &TitleForm::GetValue_ValueChanged);
			// 
			// numericUpDown3
			// 
			this->numericUpDown3->Location = System::Drawing::Point(303, 73);
			System::Int32 __mcTemp__7[] = new System::Int32[4];
			__mcTemp__7[0] = 100000;
			__mcTemp__7[1] = 0;
			__mcTemp__7[2] = 0;
			__mcTemp__7[3] = 0;
			this->numericUpDown3->Maximum = System::Decimal(__mcTemp__7);
			System::Int32 __mcTemp__8[] = new System::Int32[4];
			__mcTemp__8[0] = 100000;
			__mcTemp__8[1] = 0;
			__mcTemp__8[2] = 0;
			__mcTemp__8[3] = System::Int32::MinValue;
			this->numericUpDown3->Minimum = System::Decimal(__mcTemp__8);
			this->numericUpDown3->Name = S"numericUpDown3";
			this->numericUpDown3->Size = System::Drawing::Size(56, 22);
			this->numericUpDown3->TabIndex = 73;
			this->numericUpDown3->Tag = S"ExEqTypeValue3";
			System::Int32 __mcTemp__9[] = new System::Int32[4];
			__mcTemp__9[0] = 2;
			__mcTemp__9[1] = 0;
			__mcTemp__9[2] = 0;
			__mcTemp__9[3] = 0;
			this->numericUpDown3->Value = System::Decimal(__mcTemp__9);
			this->numericUpDown3->ValueChanged += new System::EventHandler(this, &TitleForm::GetValue_ValueChanged);
			this->numericUpDown3->Leave += new System::EventHandler(this, &TitleForm::GetValue_ValueChanged);
			// 
			// numericUpDown4
			// 
			this->numericUpDown4->Location = System::Drawing::Point(303, 49);
			System::Int32 __mcTemp__10[] = new System::Int32[4];
			__mcTemp__10[0] = 100000;
			__mcTemp__10[1] = 0;
			__mcTemp__10[2] = 0;
			__mcTemp__10[3] = 0;
			this->numericUpDown4->Maximum = System::Decimal(__mcTemp__10);
			System::Int32 __mcTemp__11[] = new System::Int32[4];
			__mcTemp__11[0] = 100000;
			__mcTemp__11[1] = 0;
			__mcTemp__11[2] = 0;
			__mcTemp__11[3] = System::Int32::MinValue;
			this->numericUpDown4->Minimum = System::Decimal(__mcTemp__11);
			this->numericUpDown4->Name = S"numericUpDown4";
			this->numericUpDown4->Size = System::Drawing::Size(56, 22);
			this->numericUpDown4->TabIndex = 72;
			this->numericUpDown4->Tag = S"ExEqTypeValue2";
			System::Int32 __mcTemp__12[] = new System::Int32[4];
			__mcTemp__12[0] = 2;
			__mcTemp__12[1] = 0;
			__mcTemp__12[2] = 0;
			__mcTemp__12[3] = 0;
			this->numericUpDown4->Value = System::Decimal(__mcTemp__12);
			this->numericUpDown4->ValueChanged += new System::EventHandler(this, &TitleForm::GetValue_ValueChanged);
			this->numericUpDown4->Leave += new System::EventHandler(this, &TitleForm::GetValue_ValueChanged);
			// 
			// numericUpDown5
			// 
			this->numericUpDown5->Location = System::Drawing::Point(303, 25);
			System::Int32 __mcTemp__13[] = new System::Int32[4];
			__mcTemp__13[0] = 100000;
			__mcTemp__13[1] = 0;
			__mcTemp__13[2] = 0;
			__mcTemp__13[3] = 0;
			this->numericUpDown5->Maximum = System::Decimal(__mcTemp__13);
			System::Int32 __mcTemp__14[] = new System::Int32[4];
			__mcTemp__14[0] = 100000;
			__mcTemp__14[1] = 0;
			__mcTemp__14[2] = 0;
			__mcTemp__14[3] = System::Int32::MinValue;
			this->numericUpDown5->Minimum = System::Decimal(__mcTemp__14);
			this->numericUpDown5->Name = S"numericUpDown5";
			this->numericUpDown5->Size = System::Drawing::Size(56, 22);
			this->numericUpDown5->TabIndex = 71;
			this->numericUpDown5->Tag = S"ExEqTypeValue1";
			System::Int32 __mcTemp__15[] = new System::Int32[4];
			__mcTemp__15[0] = 2;
			__mcTemp__15[1] = 0;
			__mcTemp__15[2] = 0;
			__mcTemp__15[3] = 0;
			this->numericUpDown5->Value = System::Decimal(__mcTemp__15);
			this->numericUpDown5->ValueChanged += new System::EventHandler(this, &TitleForm::GetValue_ValueChanged);
			this->numericUpDown5->Leave += new System::EventHandler(this, &TitleForm::GetValue_ValueChanged);
			// 
			// CB_AbilityListEx5
			// 
			this->CB_AbilityListEx5->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_AbilityListEx5->ItemHeight = 12;
			System::Object* __mcTemp__16[] = new System::Object*[33];
			__mcTemp__16[0] = S"無效果";
			__mcTemp__16[1] = S"耐久度";
			__mcTemp__16[2] = S"STR 力量";
			__mcTemp__16[3] = S"STA 耐力\t\t\t";
			__mcTemp__16[4] = S"INT 智力\t\t\t";
			__mcTemp__16[5] = S"MND 靈力";
			__mcTemp__16[6] = S"AGI 敏捷\t\t\t";
			__mcTemp__16[7] = S"HP  生命值";
			__mcTemp__16[8] = S"MP  魔法值";
			__mcTemp__16[9] = S"SP  特技      ";
			__mcTemp__16[10] = S"HP  回復率";
			__mcTemp__16[11] = S"MP  回復率";
			__mcTemp__16[12] = S"SP  回復率";
			__mcTemp__16[13] = S"ATK 攻擊力";
			__mcTemp__16[14] = S"DEF 防禦力";
			__mcTemp__16[15] = S"MDEF 魔法防禦";
			__mcTemp__16[16] = S"MATK 魔法攻擊";
			__mcTemp__16[17] = S"命中率";
			__mcTemp__16[18] = S"迴避率";
			__mcTemp__16[19] = S"致命一擊率";
			__mcTemp__16[20] = S"格擋率";
			__mcTemp__16[21] = S"攻擊速度";
			__mcTemp__16[22] = S"移動速度  ";
			__mcTemp__16[23] = S"攻擊傷害";
			__mcTemp__16[24] = S"魔法威力( 倍數 )";
			__mcTemp__16[25] = S"所有屬性(基本五個屬性)";
			__mcTemp__16[26] = S"所有抗性";
			__mcTemp__16[27] = S"地抗性";
			__mcTemp__16[28] = S"水抗性";
			__mcTemp__16[29] = S"火抗性";
			__mcTemp__16[30] = S"風抗性";
			__mcTemp__16[31] = S"光抗性";
			__mcTemp__16[32] = S"闇抗性";
			this->CB_AbilityListEx5->Items->AddRange(__mcTemp__16);
			this->CB_AbilityListEx5->Location = System::Drawing::Point(16, 120);
			this->CB_AbilityListEx5->MaxDropDownItems = 1;
			this->CB_AbilityListEx5->Name = S"CB_AbilityListEx5";
			this->CB_AbilityListEx5->Size = System::Drawing::Size(280, 20);
			this->CB_AbilityListEx5->TabIndex = 8;
			this->CB_AbilityListEx5->Tag = S"ExEqType5";
			this->CB_AbilityListEx5->SelectedIndexChanged += new System::EventHandler(this, &TitleForm::GetIndex_SelectedIndexChanged);
			this->CB_AbilityListEx5->Click += new System::EventHandler(this, &TitleForm::Select_Ability_Click);
			// 
			// CB_AbilityListEx4
			// 
			this->CB_AbilityListEx4->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_AbilityListEx4->ItemHeight = 12;
			System::Object* __mcTemp__17[] = new System::Object*[33];
			__mcTemp__17[0] = S"無效果";
			__mcTemp__17[1] = S"耐久度";
			__mcTemp__17[2] = S"STR 力量";
			__mcTemp__17[3] = S"STA 耐力\t\t\t";
			__mcTemp__17[4] = S"INT 智力\t\t\t";
			__mcTemp__17[5] = S"MND 靈力";
			__mcTemp__17[6] = S"AGI 敏捷\t\t\t";
			__mcTemp__17[7] = S"HP  生命值";
			__mcTemp__17[8] = S"MP  魔法值";
			__mcTemp__17[9] = S"SP  特技      ";
			__mcTemp__17[10] = S"HP  回復率";
			__mcTemp__17[11] = S"MP  回復率";
			__mcTemp__17[12] = S"SP  回復率";
			__mcTemp__17[13] = S"ATK 攻擊力";
			__mcTemp__17[14] = S"DEF 防禦力";
			__mcTemp__17[15] = S"MDEF 魔法防禦";
			__mcTemp__17[16] = S"MATK 魔法攻擊";
			__mcTemp__17[17] = S"命中率";
			__mcTemp__17[18] = S"迴避率";
			__mcTemp__17[19] = S"致命一擊率";
			__mcTemp__17[20] = S"格擋率";
			__mcTemp__17[21] = S"攻擊速度";
			__mcTemp__17[22] = S"移動速度  ";
			__mcTemp__17[23] = S"攻擊傷害";
			__mcTemp__17[24] = S"魔法威力( 倍數 )";
			__mcTemp__17[25] = S"所有屬性(基本五個屬性)";
			__mcTemp__17[26] = S"所有抗性";
			__mcTemp__17[27] = S"地抗性";
			__mcTemp__17[28] = S"水抗性";
			__mcTemp__17[29] = S"火抗性";
			__mcTemp__17[30] = S"風抗性";
			__mcTemp__17[31] = S"光抗性";
			__mcTemp__17[32] = S"闇抗性";
			this->CB_AbilityListEx4->Items->AddRange(__mcTemp__17);
			this->CB_AbilityListEx4->Location = System::Drawing::Point(16, 96);
			this->CB_AbilityListEx4->MaxDropDownItems = 1;
			this->CB_AbilityListEx4->Name = S"CB_AbilityListEx4";
			this->CB_AbilityListEx4->Size = System::Drawing::Size(280, 20);
			this->CB_AbilityListEx4->TabIndex = 6;
			this->CB_AbilityListEx4->Tag = S"ExEqType4";
			this->CB_AbilityListEx4->SelectedIndexChanged += new System::EventHandler(this, &TitleForm::GetIndex_SelectedIndexChanged);
			this->CB_AbilityListEx4->Click += new System::EventHandler(this, &TitleForm::Select_Ability_Click);
			// 
			// CB_AbilityListEx3
			// 
			this->CB_AbilityListEx3->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_AbilityListEx3->ItemHeight = 12;
			System::Object* __mcTemp__18[] = new System::Object*[33];
			__mcTemp__18[0] = S"無效果";
			__mcTemp__18[1] = S"耐久度";
			__mcTemp__18[2] = S"STR 力量";
			__mcTemp__18[3] = S"STA 耐力\t\t\t";
			__mcTemp__18[4] = S"INT 智力\t\t\t";
			__mcTemp__18[5] = S"MND 靈力";
			__mcTemp__18[6] = S"AGI 敏捷\t\t\t";
			__mcTemp__18[7] = S"HP  生命值";
			__mcTemp__18[8] = S"MP  魔法值";
			__mcTemp__18[9] = S"SP  特技      ";
			__mcTemp__18[10] = S"HP  回復率";
			__mcTemp__18[11] = S"MP  回復率";
			__mcTemp__18[12] = S"SP  回復率";
			__mcTemp__18[13] = S"ATK 攻擊力";
			__mcTemp__18[14] = S"DEF 防禦力";
			__mcTemp__18[15] = S"MDEF 魔法防禦";
			__mcTemp__18[16] = S"MATK 魔法攻擊";
			__mcTemp__18[17] = S"命中率";
			__mcTemp__18[18] = S"迴避率";
			__mcTemp__18[19] = S"致命一擊率";
			__mcTemp__18[20] = S"格擋率";
			__mcTemp__18[21] = S"攻擊速度";
			__mcTemp__18[22] = S"移動速度  ";
			__mcTemp__18[23] = S"攻擊傷害";
			__mcTemp__18[24] = S"魔法威力( 倍數 )";
			__mcTemp__18[25] = S"所有屬性(基本五個屬性)";
			__mcTemp__18[26] = S"所有抗性";
			__mcTemp__18[27] = S"地抗性";
			__mcTemp__18[28] = S"水抗性";
			__mcTemp__18[29] = S"火抗性";
			__mcTemp__18[30] = S"風抗性";
			__mcTemp__18[31] = S"光抗性";
			__mcTemp__18[32] = S"闇抗性";
			this->CB_AbilityListEx3->Items->AddRange(__mcTemp__18);
			this->CB_AbilityListEx3->Location = System::Drawing::Point(16, 72);
			this->CB_AbilityListEx3->MaxDropDownItems = 1;
			this->CB_AbilityListEx3->Name = S"CB_AbilityListEx3";
			this->CB_AbilityListEx3->Size = System::Drawing::Size(280, 20);
			this->CB_AbilityListEx3->TabIndex = 4;
			this->CB_AbilityListEx3->Tag = S"ExEqType3";
			this->CB_AbilityListEx3->SelectedIndexChanged += new System::EventHandler(this, &TitleForm::GetIndex_SelectedIndexChanged);
			this->CB_AbilityListEx3->Click += new System::EventHandler(this, &TitleForm::Select_Ability_Click);
			// 
			// CB_AbilityListEx2
			// 
			this->CB_AbilityListEx2->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_AbilityListEx2->ItemHeight = 12;
			System::Object* __mcTemp__19[] = new System::Object*[33];
			__mcTemp__19[0] = S"無效果";
			__mcTemp__19[1] = S"耐久度";
			__mcTemp__19[2] = S"STR 力量";
			__mcTemp__19[3] = S"STA 耐力\t\t\t";
			__mcTemp__19[4] = S"INT 智力\t\t\t";
			__mcTemp__19[5] = S"MND 靈力";
			__mcTemp__19[6] = S"AGI 敏捷\t\t\t";
			__mcTemp__19[7] = S"HP  生命值";
			__mcTemp__19[8] = S"MP  魔法值";
			__mcTemp__19[9] = S"SP  特技      ";
			__mcTemp__19[10] = S"HP  回復率";
			__mcTemp__19[11] = S"MP  回復率";
			__mcTemp__19[12] = S"SP  回復率";
			__mcTemp__19[13] = S"ATK 攻擊力";
			__mcTemp__19[14] = S"DEF 防禦力";
			__mcTemp__19[15] = S"MDEF 魔法防禦";
			__mcTemp__19[16] = S"MATK 魔法攻擊";
			__mcTemp__19[17] = S"命中率";
			__mcTemp__19[18] = S"迴避率";
			__mcTemp__19[19] = S"致命一擊率";
			__mcTemp__19[20] = S"格擋率";
			__mcTemp__19[21] = S"攻擊速度";
			__mcTemp__19[22] = S"移動速度  ";
			__mcTemp__19[23] = S"攻擊傷害";
			__mcTemp__19[24] = S"魔法威力( 倍數 )";
			__mcTemp__19[25] = S"所有屬性(基本五個屬性)";
			__mcTemp__19[26] = S"所有抗性";
			__mcTemp__19[27] = S"地抗性";
			__mcTemp__19[28] = S"水抗性";
			__mcTemp__19[29] = S"火抗性";
			__mcTemp__19[30] = S"風抗性";
			__mcTemp__19[31] = S"光抗性";
			__mcTemp__19[32] = S"闇抗性";
			this->CB_AbilityListEx2->Items->AddRange(__mcTemp__19);
			this->CB_AbilityListEx2->Location = System::Drawing::Point(16, 48);
			this->CB_AbilityListEx2->MaxDropDownItems = 1;
			this->CB_AbilityListEx2->Name = S"CB_AbilityListEx2";
			this->CB_AbilityListEx2->Size = System::Drawing::Size(280, 20);
			this->CB_AbilityListEx2->TabIndex = 2;
			this->CB_AbilityListEx2->Tag = S"ExEqType2";
			this->CB_AbilityListEx2->SelectedIndexChanged += new System::EventHandler(this, &TitleForm::GetIndex_SelectedIndexChanged);
			this->CB_AbilityListEx2->Click += new System::EventHandler(this, &TitleForm::Select_Ability_Click);
			// 
			// CB_AbilityListEx1
			// 
			this->CB_AbilityListEx1->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_AbilityListEx1->ItemHeight = 12;
			System::Object* __mcTemp__20[] = new System::Object*[33];
			__mcTemp__20[0] = S"無效果";
			__mcTemp__20[1] = S"耐久度";
			__mcTemp__20[2] = S"STR 力量";
			__mcTemp__20[3] = S"STA 耐力\t\t\t";
			__mcTemp__20[4] = S"INT 智力\t\t\t";
			__mcTemp__20[5] = S"MND 靈力";
			__mcTemp__20[6] = S"AGI 敏捷\t\t\t";
			__mcTemp__20[7] = S"HP  生命值";
			__mcTemp__20[8] = S"MP  魔法值";
			__mcTemp__20[9] = S"SP  特技      ";
			__mcTemp__20[10] = S"HP  回復率";
			__mcTemp__20[11] = S"MP  回復率";
			__mcTemp__20[12] = S"SP  回復率";
			__mcTemp__20[13] = S"ATK 攻擊力";
			__mcTemp__20[14] = S"DEF 防禦力";
			__mcTemp__20[15] = S"MDEF 魔法防禦";
			__mcTemp__20[16] = S"MATK 魔法攻擊";
			__mcTemp__20[17] = S"命中率";
			__mcTemp__20[18] = S"迴避率";
			__mcTemp__20[19] = S"致命一擊率";
			__mcTemp__20[20] = S"格擋率";
			__mcTemp__20[21] = S"攻擊速度";
			__mcTemp__20[22] = S"移動速度  ";
			__mcTemp__20[23] = S"攻擊傷害";
			__mcTemp__20[24] = S"魔法威力( 倍數 )";
			__mcTemp__20[25] = S"所有屬性(基本五個屬性)";
			__mcTemp__20[26] = S"所有抗性";
			__mcTemp__20[27] = S"地抗性";
			__mcTemp__20[28] = S"水抗性";
			__mcTemp__20[29] = S"火抗性";
			__mcTemp__20[30] = S"風抗性";
			__mcTemp__20[31] = S"光抗性";
			__mcTemp__20[32] = S"闇抗性";
			this->CB_AbilityListEx1->Items->AddRange(__mcTemp__20);
			this->CB_AbilityListEx1->Location = System::Drawing::Point(16, 24);
			this->CB_AbilityListEx1->MaxDropDownItems = 1;
			this->CB_AbilityListEx1->Name = S"CB_AbilityListEx1";
			this->CB_AbilityListEx1->Size = System::Drawing::Size(280, 20);
			this->CB_AbilityListEx1->TabIndex = 0;
			this->CB_AbilityListEx1->Tag = S"ExEqType1";
			this->CB_AbilityListEx1->SelectedIndexChanged += new System::EventHandler(this, &TitleForm::GetIndex_SelectedIndexChanged);
			this->CB_AbilityListEx1->Click += new System::EventHandler(this, &TitleForm::Select_Ability_Click);
			// 
			// groupBox4
			// 
			this->groupBox4->Controls->Add(this->label12);
			this->groupBox4->Controls->Add(this->textBox8);
			this->groupBox4->Location = System::Drawing::Point(12, 542);
			this->groupBox4->Name = S"groupBox4";
			this->groupBox4->Size = System::Drawing::Size(365, 83);
			this->groupBox4->TabIndex = 166;
			this->groupBox4->TabStop = false;
			this->groupBox4->Text = S"裝備處發劇情";
			// 
			// label12
			// 
			this->label12->AutoSize = true;
			this->label12->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label12->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label12->Location = System::Drawing::Point(14, 55);
			this->label12->Name = S"label12";
			this->label12->Size = System::Drawing::Size(265, 12);
			this->label12->TabIndex = 164;
			this->label12->Text = S"設定與移除觸發頭銜 Funtion( 0 脫掉 1 穿上 )";
			// 
			// textBox8
			// 
			this->textBox8->Location = System::Drawing::Point(12, 21);
			this->textBox8->Name = S"textBox8";
			this->textBox8->Size = System::Drawing::Size(337, 22);
			this->textBox8->TabIndex = 161;
			this->textBox8->Tag = S"LuaEvent";
			this->textBox8->TextChanged += new System::EventHandler(this, &TitleForm::GetStr_TextChanged);
			// 
			// comboBox3
			// 
			this->comboBox3->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->comboBox3->ItemHeight = 12;
			System::Object* __mcTemp__21[] = new System::Object*[10];
			__mcTemp__21[0] = S"普通";
			__mcTemp__21[1] = S"一級稀有";
			__mcTemp__21[2] = S"二級稀有";
			__mcTemp__21[3] = S"三級稀有";
			__mcTemp__21[4] = S"四級稀有";
			__mcTemp__21[5] = S"五級稀有";
			__mcTemp__21[6] = S"六級稀有";
			__mcTemp__21[7] = S"七級稀有";
			__mcTemp__21[8] = S"八級稀有";
			__mcTemp__21[9] = S"九級稀有";
			this->comboBox3->Items->AddRange(__mcTemp__21);
			this->comboBox3->Location = System::Drawing::Point(240, 12);
			this->comboBox3->Name = S"comboBox3";
			this->comboBox3->Size = System::Drawing::Size(82, 20);
			this->comboBox3->TabIndex = 169;
			this->comboBox3->Tag = S"Rare";
			this->comboBox3->SelectedIndexChanged += new System::EventHandler(this, &TitleForm::GetIndex_SelectedIndexChanged);
			// 
			// label16
			// 
			this->label16->AutoSize = true;
			this->label16->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label16->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label16->Location = System::Drawing::Point(185, 17);
			this->label16->Name = S"label16";
			this->label16->Size = System::Drawing::Size(44, 12);
			this->label16->TabIndex = 168;
			this->label16->Text = S"稀有度";
			// 
			// LB_Classify
			// 
			this->LB_Classify->AutoSize = true;
			this->LB_Classify->Location = System::Drawing::Point(157, 62);
			this->LB_Classify->Name = S"LB_Classify";
			this->LB_Classify->Size = System::Drawing::Size(39, 12);
			this->LB_Classify->TabIndex = 167;
			this->LB_Classify->Text = S"label12";
			// 
			// textBox6
			// 
			this->textBox6->Location = System::Drawing::Point(102, 59);
			this->textBox6->Name = S"textBox6";
			this->textBox6->Size = System::Drawing::Size(41, 22);
			this->textBox6->TabIndex = 166;
			this->textBox6->Tag = S"Classify2";
			this->textBox6->TextChanged += new System::EventHandler(this, &TitleForm::GetIntValue_TextChanged);
			// 
			// label9
			// 
			this->label9->AutoSize = true;
			this->label9->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label9->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label9->Location = System::Drawing::Point(18, 62);
			this->label9->Name = S"label9";
			this->label9->Size = System::Drawing::Size(31, 12);
			this->label9->TabIndex = 165;
			this->label9->Text = S"分類";
			// 
			// textBox5
			// 
			this->textBox5->Location = System::Drawing::Point(55, 59);
			this->textBox5->Name = S"textBox5";
			this->textBox5->Size = System::Drawing::Size(41, 22);
			this->textBox5->TabIndex = 164;
			this->textBox5->Tag = S"Classify1";
			this->textBox5->TextChanged += new System::EventHandler(this, &TitleForm::GetIntValue_TextChanged);
			// 
			// CLBModeFlag1
			// 
			this->CLBModeFlag1->CheckOnClick = true;
			this->CLBModeFlag1->FormattingEnabled = true;
			System::Object* __mcTemp__22[] = new System::Object*[1];
			__mcTemp__22[0] = S"預先顯示頭銜";
			this->CLBModeFlag1->Items->AddRange(__mcTemp__22);
			this->CLBModeFlag1->Location = System::Drawing::Point(20, 9);
			this->CLBModeFlag1->Name = S"CLBModeFlag1";
			this->CLBModeFlag1->Size = System::Drawing::Size(146, 38);
			this->CLBModeFlag1->TabIndex = 147;
			this->CLBModeFlag1->Tag = S"Mode";
			this->CLBModeFlag1->Leave += new System::EventHandler(this, &TitleForm::ChangeMode);
			// 
			// groupBox3
			// 
			this->groupBox3->Controls->Add(this->label11);
			this->groupBox3->Controls->Add(this->textBox4);
			this->groupBox3->Controls->Add(this->label10);
			this->groupBox3->Controls->Add(this->LB_SkillName);
			this->groupBox3->Controls->Add(this->textBox3);
			this->groupBox3->Location = System::Drawing::Point(12, 479);
			this->groupBox3->Name = S"groupBox3";
			this->groupBox3->Size = System::Drawing::Size(365, 57);
			this->groupBox3->TabIndex = 137;
			this->groupBox3->TabStop = false;
			this->groupBox3->Text = S"可使用技能";
			// 
			// label11
			// 
			this->label11->AutoSize = true;
			this->label11->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label11->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label11->Location = System::Drawing::Point(226, 24);
			this->label11->Name = S"label11";
			this->label11->Size = System::Drawing::Size(48, 12);
			this->label11->TabIndex = 165;
			this->label11->Text = S"技能LV";
			// 
			// textBox4
			// 
			this->textBox4->Location = System::Drawing::Point(277, 21);
			this->textBox4->Name = S"textBox4";
			this->textBox4->Size = System::Drawing::Size(72, 22);
			this->textBox4->TabIndex = 164;
			this->textBox4->Tag = S"SkillLv";
			this->textBox4->TextChanged += new System::EventHandler(this, &TitleForm::GetIntValue_TextChanged);
			// 
			// label10
			// 
			this->label10->AutoSize = true;
			this->label10->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label10->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label10->Location = System::Drawing::Point(6, 24);
			this->label10->Name = S"label10";
			this->label10->Size = System::Drawing::Size(45, 12);
			this->label10->TabIndex = 163;
			this->label10->Text = S"技能ID";
			// 
			// LB_SkillName
			// 
			this->LB_SkillName->AutoSize = true;
			this->LB_SkillName->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->LB_SkillName->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->LB_SkillName->Location = System::Drawing::Point(140, 24);
			this->LB_SkillName->Name = S"LB_SkillName";
			this->LB_SkillName->Size = System::Drawing::Size(42, 12);
			this->LB_SkillName->TabIndex = 162;
			this->LB_SkillName->Text = S"法術id";
			// 
			// textBox3
			// 
			this->textBox3->Location = System::Drawing::Point(57, 21);
			this->textBox3->Name = S"textBox3";
			this->textBox3->Size = System::Drawing::Size(72, 22);
			this->textBox3->TabIndex = 161;
			this->textBox3->Tag = S"SkillID";
			this->textBox3->TextChanged += new System::EventHandler(this, &TitleForm::GetIntValue_TextChanged);
			// 
			// TabControl_Type
			// 
			this->TabControl_Type->Controls->Add(this->tabPage1);
			this->TabControl_Type->Controls->Add(this->tabPage2);
			this->TabControl_Type->Controls->Add(this->tabPage3);
			this->TabControl_Type->Controls->Add(this->tabPage4);
			this->TabControl_Type->Location = System::Drawing::Point(12, 87);
			this->TabControl_Type->Name = S"TabControl_Type";
			this->TabControl_Type->SelectedIndex = 0;
			this->TabControl_Type->Size = System::Drawing::Size(363, 174);
			this->TabControl_Type->TabIndex = 136;
			this->TabControl_Type->SelectedIndexChanged += new System::EventHandler(this, &TitleForm::TitleType_SelectedIndexChange);
			// 
			// tabPage1
			// 
			this->tabPage1->Location = System::Drawing::Point(4, 22);
			this->tabPage1->Name = S"tabPage1";
			this->tabPage1->Padding = System::Windows::Forms::Padding(3);
			this->tabPage1->Size = System::Drawing::Size(355, 148);
			this->tabPage1->TabIndex = 0;
			this->tabPage1->Text = S"名聲稱號";
			this->tabPage1->UseVisualStyleBackColor = true;
			// 
			// tabPage2
			// 
			this->tabPage2->Controls->Add(this->groupBox1);
			this->tabPage2->Location = System::Drawing::Point(4, 22);
			this->tabPage2->Name = S"tabPage2";
			this->tabPage2->Padding = System::Windows::Forms::Padding(3);
			this->tabPage2->Size = System::Drawing::Size(355, 148);
			this->tabPage2->TabIndex = 1;
			this->tabPage2->Text = S"雙職業稱號";
			this->tabPage2->UseVisualStyleBackColor = true;
			// 
			// groupBox1
			// 
			this->groupBox1->Controls->Add(this->ED_SubJobLV);
			this->groupBox1->Controls->Add(this->ED_MainJobLV);
			this->groupBox1->Controls->Add(this->textBox1);
			this->groupBox1->Controls->Add(this->label5);
			this->groupBox1->Controls->Add(this->label4);
			this->groupBox1->Controls->Add(this->label3);
			this->groupBox1->Controls->Add(this->label1);
			this->groupBox1->Controls->Add(this->CB_MainJob);
			this->groupBox1->Controls->Add(this->CB_SubJob);
			this->groupBox1->Controls->Add(this->label2);
			this->groupBox1->Dock = System::Windows::Forms::DockStyle::Fill;
			this->groupBox1->Location = System::Drawing::Point(3, 3);
			this->groupBox1->Name = S"groupBox1";
			this->groupBox1->Size = System::Drawing::Size(349, 142);
			this->groupBox1->TabIndex = 134;
			this->groupBox1->TabStop = false;
			this->groupBox1->Text = S"需求";
			// 
			// ED_SubJobLV
			// 
			this->ED_SubJobLV->Location = System::Drawing::Point(192, 72);
			this->ED_SubJobLV->Name = S"ED_SubJobLV";
			this->ED_SubJobLV->Size = System::Drawing::Size(72, 22);
			this->ED_SubJobLV->TabIndex = 139;
			this->ED_SubJobLV->Tag = S"SubJobLV";
			this->ED_SubJobLV->Text = S"0";
			this->ED_SubJobLV->TextChanged += new System::EventHandler(this, &TitleForm::GetIntValue_TextChanged);
			// 
			// ED_MainJobLV
			// 
			this->ED_MainJobLV->Location = System::Drawing::Point(192, 48);
			this->ED_MainJobLV->Name = S"ED_MainJobLV";
			this->ED_MainJobLV->Size = System::Drawing::Size(72, 22);
			this->ED_MainJobLV->TabIndex = 138;
			this->ED_MainJobLV->Tag = S"MainJobLV";
			this->ED_MainJobLV->Text = S"0";
			this->ED_MainJobLV->TextChanged += new System::EventHandler(this, &TitleForm::GetIntValue_TextChanged);
			// 
			// textBox1
			// 
			this->textBox1->Location = System::Drawing::Point(64, 24);
			this->textBox1->Name = S"textBox1";
			this->textBox1->Size = System::Drawing::Size(72, 22);
			this->textBox1->TabIndex = 137;
			this->textBox1->Tag = S"Famous";
			this->textBox1->Text = S"0";
			this->textBox1->TextChanged += new System::EventHandler(this, &TitleForm::GetIntValue_TextChanged);
			// 
			// label5
			// 
			this->label5->AutoSize = true;
			this->label5->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label5->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label5->Location = System::Drawing::Point(16, 24);
			this->label5->Name = S"label5";
			this->label5->Size = System::Drawing::Size(31, 12);
			this->label5->TabIndex = 136;
			this->label5->Text = S"名聲";
			// 
			// label4
			// 
			this->label4->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label4->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label4->Location = System::Drawing::Point(152, 72);
			this->label4->Name = S"label4";
			this->label4->Size = System::Drawing::Size(32, 16);
			this->label4->TabIndex = 135;
			this->label4->Text = S"等級";
			// 
			// label3
			// 
			this->label3->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label3->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label3->Location = System::Drawing::Point(152, 48);
			this->label3->Name = S"label3";
			this->label3->Size = System::Drawing::Size(32, 16);
			this->label3->TabIndex = 134;
			this->label3->Text = S"等級";
			// 
			// label1
			// 
			this->label1->AutoSize = true;
			this->label1->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label1->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label1->Location = System::Drawing::Point(16, 48);
			this->label1->Name = S"label1";
			this->label1->Size = System::Drawing::Size(31, 12);
			this->label1->TabIndex = 130;
			this->label1->Text = S"主職";
			// 
			// CB_MainJob
			// 
			this->CB_MainJob->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_MainJob->ItemHeight = 12;
			System::Object* __mcTemp__23[] = new System::Object*[3];
			__mcTemp__23[0] = S"名聲稱號";
			__mcTemp__23[1] = S"雙職業稱號";
			__mcTemp__23[2] = S"任務稱號";
			this->CB_MainJob->Items->AddRange(__mcTemp__23);
			this->CB_MainJob->Location = System::Drawing::Point(64, 48);
			this->CB_MainJob->Name = S"CB_MainJob";
			this->CB_MainJob->Size = System::Drawing::Size(72, 20);
			this->CB_MainJob->TabIndex = 131;
			this->CB_MainJob->Tag = S"MainJob";
			this->CB_MainJob->SelectedIndexChanged += new System::EventHandler(this, &TitleForm::GetIndex_SelectedIndexChanged);
			// 
			// CB_SubJob
			// 
			this->CB_SubJob->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_SubJob->ItemHeight = 12;
			System::Object* __mcTemp__24[] = new System::Object*[3];
			__mcTemp__24[0] = S"名聲稱號";
			__mcTemp__24[1] = S"雙職業稱號";
			__mcTemp__24[2] = S"任務稱號";
			this->CB_SubJob->Items->AddRange(__mcTemp__24);
			this->CB_SubJob->Location = System::Drawing::Point(64, 72);
			this->CB_SubJob->Name = S"CB_SubJob";
			this->CB_SubJob->Size = System::Drawing::Size(72, 20);
			this->CB_SubJob->TabIndex = 133;
			this->CB_SubJob->Tag = S"SubJob";
			this->CB_SubJob->SelectedIndexChanged += new System::EventHandler(this, &TitleForm::GetIndex_SelectedIndexChanged);
			// 
			// label2
			// 
			this->label2->AutoSize = true;
			this->label2->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label2->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label2->Location = System::Drawing::Point(16, 72);
			this->label2->Name = S"label2";
			this->label2->Size = System::Drawing::Size(31, 12);
			this->label2->TabIndex = 132;
			this->label2->Text = S"副職";
			// 
			// tabPage3
			// 
			this->tabPage3->Location = System::Drawing::Point(4, 22);
			this->tabPage3->Name = S"tabPage3";
			this->tabPage3->Size = System::Drawing::Size(355, 148);
			this->tabPage3->TabIndex = 2;
			this->tabPage3->Text = S"任務稱號";
			this->tabPage3->UseVisualStyleBackColor = true;
			// 
			// tabPage4
			// 
			this->tabPage4->Controls->Add(this->textBox2);
			this->tabPage4->Controls->Add(this->label8);
			this->tabPage4->Controls->Add(this->label7);
			this->tabPage4->Controls->Add(this->CB_MonsterHountType);
			this->tabPage4->Controls->Add(this->label6);
			this->tabPage4->Controls->Add(this->comboBox1);
			this->tabPage4->Location = System::Drawing::Point(4, 22);
			this->tabPage4->Name = S"tabPage4";
			this->tabPage4->Size = System::Drawing::Size(355, 148);
			this->tabPage4->TabIndex = 3;
			this->tabPage4->Text = S"殺死次數";
			this->tabPage4->UseVisualStyleBackColor = true;
			// 
			// textBox2
			// 
			this->textBox2->Location = System::Drawing::Point(83, 65);
			this->textBox2->Name = S"textBox2";
			this->textBox2->Size = System::Drawing::Size(72, 22);
			this->textBox2->TabIndex = 140;
			this->textBox2->Tag = S"KillCount_Count";
			this->textBox2->Text = S"0";
			this->textBox2->TextChanged += new System::EventHandler(this, &TitleForm::GetIntValue_TextChanged);
			// 
			// label8
			// 
			this->label8->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label8->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label8->Location = System::Drawing::Point(45, 68);
			this->label8->Name = S"label8";
			this->label8->Size = System::Drawing::Size(32, 16);
			this->label8->TabIndex = 139;
			this->label8->Text = S"次數";
			// 
			// label7
			// 
			this->label7->AutoSize = true;
			this->label7->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label7->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label7->Location = System::Drawing::Point(20, 42);
			this->label7->Name = S"label7";
			this->label7->Size = System::Drawing::Size(57, 12);
			this->label7->TabIndex = 134;
			this->label7->Text = S"怪物種類";
			// 
			// CB_MonsterHountType
			// 
			this->CB_MonsterHountType->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_MonsterHountType->ItemHeight = 12;
			System::Object* __mcTemp__25[] = new System::Object*[2];
			__mcTemp__25[0] = S"殺死";
			__mcTemp__25[1] = S"被殺";
			this->CB_MonsterHountType->Items->AddRange(__mcTemp__25);
			this->CB_MonsterHountType->Location = System::Drawing::Point(83, 39);
			this->CB_MonsterHountType->Name = S"CB_MonsterHountType";
			this->CB_MonsterHountType->Size = System::Drawing::Size(97, 20);
			this->CB_MonsterHountType->TabIndex = 135;
			this->CB_MonsterHountType->Tag = S"KillCount_KillGroup";
			this->CB_MonsterHountType->SelectedIndexChanged += new System::EventHandler(this, &TitleForm::GetIndex_SelectedIndexChanged);
			// 
			// label6
			// 
			this->label6->AutoSize = true;
			this->label6->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label6->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label6->Location = System::Drawing::Point(46, 16);
			this->label6->Name = S"label6";
			this->label6->Size = System::Drawing::Size(31, 12);
			this->label6->TabIndex = 132;
			this->label6->Text = S"類型";
			// 
			// comboBox1
			// 
			this->comboBox1->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->comboBox1->ItemHeight = 12;
			System::Object* __mcTemp__26[] = new System::Object*[2];
			__mcTemp__26[0] = S"殺死";
			__mcTemp__26[1] = S"被殺";
			this->comboBox1->Items->AddRange(__mcTemp__26);
			this->comboBox1->Location = System::Drawing::Point(83, 13);
			this->comboBox1->Name = S"comboBox1";
			this->comboBox1->Size = System::Drawing::Size(97, 20);
			this->comboBox1->TabIndex = 133;
			this->comboBox1->Tag = S"KillCount_Type";
			this->comboBox1->SelectedIndexChanged += new System::EventHandler(this, &TitleForm::GetIndex_SelectedIndexChanged);
			// 
			// groupBox2
			// 
			this->groupBox2->Controls->Add(this->label22);
			this->groupBox2->Controls->Add(this->textBox25);
			this->groupBox2->Controls->Add(this->label21);
			this->groupBox2->Controls->Add(this->textBox23);
			this->groupBox2->Controls->Add(this->LB_EqTypeOnAttackMagicID);
			this->groupBox2->Controls->Add(this->label19);
			this->groupBox2->Controls->Add(this->textBox9);
			this->groupBox2->Controls->Add(this->numericUpDown36);
			this->groupBox2->Controls->Add(this->numericUpDown35);
			this->groupBox2->Controls->Add(this->numericUpDown34);
			this->groupBox2->Controls->Add(this->numericUpDown33);
			this->groupBox2->Controls->Add(this->numericUpDown32);
			this->groupBox2->Controls->Add(this->CB_AbilityList5);
			this->groupBox2->Controls->Add(this->CB_AbilityList4);
			this->groupBox2->Controls->Add(this->CB_AbilityList3);
			this->groupBox2->Controls->Add(this->CB_AbilityList2);
			this->groupBox2->Controls->Add(this->CB_AbilityList1);
			this->groupBox2->Location = System::Drawing::Point(12, 267);
			this->groupBox2->Name = S"groupBox2";
			this->groupBox2->Size = System::Drawing::Size(365, 206);
			this->groupBox2->TabIndex = 135;
			this->groupBox2->TabStop = false;
			this->groupBox2->Text = S"能力";
			// 
			// label22
			// 
			this->label22->AutoSize = true;
			this->label22->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label22->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label22->Location = System::Drawing::Point(158, 180);
			this->label22->Name = S"label22";
			this->label22->Size = System::Drawing::Size(77, 12);
			this->label22->TabIndex = 162;
			this->label22->Text = S"發生機率(%)";
			// 
			// textBox25
			// 
			this->textBox25->Location = System::Drawing::Point(241, 174);
			this->textBox25->Name = S"textBox25";
			this->textBox25->Size = System::Drawing::Size(48, 22);
			this->textBox25->TabIndex = 163;
			this->textBox25->Tag = S"EqTypeOnAttackMagicRate";
			this->textBox25->TextChanged += new System::EventHandler(this, &TitleForm::GetIntValue_TextChanged);
			// 
			// label21
			// 
			this->label21->AutoSize = true;
			this->label21->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label21->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label21->Location = System::Drawing::Point(27, 177);
			this->label21->Name = S"label21";
			this->label21->Size = System::Drawing::Size(57, 12);
			this->label21->TabIndex = 160;
			this->label21->Text = S"互蓋等級";
			// 
			// textBox23
			// 
			this->textBox23->Location = System::Drawing::Point(89, 174);
			this->textBox23->Name = S"textBox23";
			this->textBox23->Size = System::Drawing::Size(48, 22);
			this->textBox23->TabIndex = 161;
			this->textBox23->Tag = S"EqTypeOnAttackMagicRank";
			this->textBox23->TextChanged += new System::EventHandler(this, &TitleForm::GetIntValue_TextChanged);
			// 
			// LB_EqTypeOnAttackMagicID
			// 
			this->LB_EqTypeOnAttackMagicID->AutoSize = true;
			this->LB_EqTypeOnAttackMagicID->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->LB_EqTypeOnAttackMagicID->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->LB_EqTypeOnAttackMagicID->Location = System::Drawing::Point(191, 149);
			this->LB_EqTypeOnAttackMagicID->Name = S"LB_EqTypeOnAttackMagicID";
			this->LB_EqTypeOnAttackMagicID->Size = System::Drawing::Size(42, 12);
			this->LB_EqTypeOnAttackMagicID->TabIndex = 159;
			this->LB_EqTypeOnAttackMagicID->Text = S"法術id";
			// 
			// label19
			// 
			this->label19->AutoSize = true;
			this->label19->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label19->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label19->Location = System::Drawing::Point(23, 149);
			this->label19->Name = S"label19";
			this->label19->Size = System::Drawing::Size(83, 12);
			this->label19->TabIndex = 157;
			this->label19->Text = S"普攻法術號碼";
			// 
			// textBox9
			// 
			this->textBox9->Location = System::Drawing::Point(112, 146);
			this->textBox9->Name = S"textBox9";
			this->textBox9->Size = System::Drawing::Size(72, 22);
			this->textBox9->TabIndex = 158;
			this->textBox9->Tag = S"EqTypeOnAttackMagicID";
			this->textBox9->TextChanged += new System::EventHandler(this, &TitleForm::GetIntValue_TextChanged);
			// 
			// numericUpDown36
			// 
			this->numericUpDown36->Location = System::Drawing::Point(303, 121);
			System::Int32 __mcTemp__27[] = new System::Int32[4];
			__mcTemp__27[0] = 100000;
			__mcTemp__27[1] = 0;
			__mcTemp__27[2] = 0;
			__mcTemp__27[3] = 0;
			this->numericUpDown36->Maximum = System::Decimal(__mcTemp__27);
			System::Int32 __mcTemp__28[] = new System::Int32[4];
			__mcTemp__28[0] = 100000;
			__mcTemp__28[1] = 0;
			__mcTemp__28[2] = 0;
			__mcTemp__28[3] = System::Int32::MinValue;
			this->numericUpDown36->Minimum = System::Decimal(__mcTemp__28);
			this->numericUpDown36->Name = S"numericUpDown36";
			this->numericUpDown36->Size = System::Drawing::Size(56, 22);
			this->numericUpDown36->TabIndex = 75;
			this->numericUpDown36->Tag = S"EqTypeValue5";
			System::Int32 __mcTemp__29[] = new System::Int32[4];
			__mcTemp__29[0] = 2;
			__mcTemp__29[1] = 0;
			__mcTemp__29[2] = 0;
			__mcTemp__29[3] = 0;
			this->numericUpDown36->Value = System::Decimal(__mcTemp__29);
			this->numericUpDown36->ValueChanged += new System::EventHandler(this, &TitleForm::GetValue_ValueChanged);
			this->numericUpDown36->Leave += new System::EventHandler(this, &TitleForm::GetValue_ValueChanged);
			// 
			// numericUpDown35
			// 
			this->numericUpDown35->Location = System::Drawing::Point(303, 97);
			System::Int32 __mcTemp__30[] = new System::Int32[4];
			__mcTemp__30[0] = 100000;
			__mcTemp__30[1] = 0;
			__mcTemp__30[2] = 0;
			__mcTemp__30[3] = 0;
			this->numericUpDown35->Maximum = System::Decimal(__mcTemp__30);
			System::Int32 __mcTemp__31[] = new System::Int32[4];
			__mcTemp__31[0] = 100000;
			__mcTemp__31[1] = 0;
			__mcTemp__31[2] = 0;
			__mcTemp__31[3] = System::Int32::MinValue;
			this->numericUpDown35->Minimum = System::Decimal(__mcTemp__31);
			this->numericUpDown35->Name = S"numericUpDown35";
			this->numericUpDown35->Size = System::Drawing::Size(56, 22);
			this->numericUpDown35->TabIndex = 74;
			this->numericUpDown35->Tag = S"EqTypeValue4";
			System::Int32 __mcTemp__32[] = new System::Int32[4];
			__mcTemp__32[0] = 2;
			__mcTemp__32[1] = 0;
			__mcTemp__32[2] = 0;
			__mcTemp__32[3] = 0;
			this->numericUpDown35->Value = System::Decimal(__mcTemp__32);
			this->numericUpDown35->ValueChanged += new System::EventHandler(this, &TitleForm::GetValue_ValueChanged);
			this->numericUpDown35->Leave += new System::EventHandler(this, &TitleForm::GetValue_ValueChanged);
			// 
			// numericUpDown34
			// 
			this->numericUpDown34->Location = System::Drawing::Point(303, 73);
			System::Int32 __mcTemp__33[] = new System::Int32[4];
			__mcTemp__33[0] = 100000;
			__mcTemp__33[1] = 0;
			__mcTemp__33[2] = 0;
			__mcTemp__33[3] = 0;
			this->numericUpDown34->Maximum = System::Decimal(__mcTemp__33);
			System::Int32 __mcTemp__34[] = new System::Int32[4];
			__mcTemp__34[0] = 100000;
			__mcTemp__34[1] = 0;
			__mcTemp__34[2] = 0;
			__mcTemp__34[3] = System::Int32::MinValue;
			this->numericUpDown34->Minimum = System::Decimal(__mcTemp__34);
			this->numericUpDown34->Name = S"numericUpDown34";
			this->numericUpDown34->Size = System::Drawing::Size(56, 22);
			this->numericUpDown34->TabIndex = 73;
			this->numericUpDown34->Tag = S"EqTypeValue3";
			System::Int32 __mcTemp__35[] = new System::Int32[4];
			__mcTemp__35[0] = 2;
			__mcTemp__35[1] = 0;
			__mcTemp__35[2] = 0;
			__mcTemp__35[3] = 0;
			this->numericUpDown34->Value = System::Decimal(__mcTemp__35);
			this->numericUpDown34->ValueChanged += new System::EventHandler(this, &TitleForm::GetValue_ValueChanged);
			this->numericUpDown34->Leave += new System::EventHandler(this, &TitleForm::GetValue_ValueChanged);
			// 
			// numericUpDown33
			// 
			this->numericUpDown33->Location = System::Drawing::Point(303, 49);
			System::Int32 __mcTemp__36[] = new System::Int32[4];
			__mcTemp__36[0] = 100000;
			__mcTemp__36[1] = 0;
			__mcTemp__36[2] = 0;
			__mcTemp__36[3] = 0;
			this->numericUpDown33->Maximum = System::Decimal(__mcTemp__36);
			System::Int32 __mcTemp__37[] = new System::Int32[4];
			__mcTemp__37[0] = 100000;
			__mcTemp__37[1] = 0;
			__mcTemp__37[2] = 0;
			__mcTemp__37[3] = System::Int32::MinValue;
			this->numericUpDown33->Minimum = System::Decimal(__mcTemp__37);
			this->numericUpDown33->Name = S"numericUpDown33";
			this->numericUpDown33->Size = System::Drawing::Size(56, 22);
			this->numericUpDown33->TabIndex = 72;
			this->numericUpDown33->Tag = S"EqTypeValue2";
			System::Int32 __mcTemp__38[] = new System::Int32[4];
			__mcTemp__38[0] = 2;
			__mcTemp__38[1] = 0;
			__mcTemp__38[2] = 0;
			__mcTemp__38[3] = 0;
			this->numericUpDown33->Value = System::Decimal(__mcTemp__38);
			this->numericUpDown33->ValueChanged += new System::EventHandler(this, &TitleForm::GetValue_ValueChanged);
			this->numericUpDown33->Leave += new System::EventHandler(this, &TitleForm::GetValue_ValueChanged);
			// 
			// numericUpDown32
			// 
			this->numericUpDown32->Location = System::Drawing::Point(303, 25);
			System::Int32 __mcTemp__39[] = new System::Int32[4];
			__mcTemp__39[0] = 100000;
			__mcTemp__39[1] = 0;
			__mcTemp__39[2] = 0;
			__mcTemp__39[3] = 0;
			this->numericUpDown32->Maximum = System::Decimal(__mcTemp__39);
			System::Int32 __mcTemp__40[] = new System::Int32[4];
			__mcTemp__40[0] = 100000;
			__mcTemp__40[1] = 0;
			__mcTemp__40[2] = 0;
			__mcTemp__40[3] = System::Int32::MinValue;
			this->numericUpDown32->Minimum = System::Decimal(__mcTemp__40);
			this->numericUpDown32->Name = S"numericUpDown32";
			this->numericUpDown32->Size = System::Drawing::Size(56, 22);
			this->numericUpDown32->TabIndex = 71;
			this->numericUpDown32->Tag = S"EqTypeValue1";
			System::Int32 __mcTemp__41[] = new System::Int32[4];
			__mcTemp__41[0] = 2;
			__mcTemp__41[1] = 0;
			__mcTemp__41[2] = 0;
			__mcTemp__41[3] = 0;
			this->numericUpDown32->Value = System::Decimal(__mcTemp__41);
			this->numericUpDown32->ValueChanged += new System::EventHandler(this, &TitleForm::GetValue_ValueChanged);
			this->numericUpDown32->Leave += new System::EventHandler(this, &TitleForm::GetValue_ValueChanged);
			// 
			// CB_AbilityList5
			// 
			this->CB_AbilityList5->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_AbilityList5->ItemHeight = 12;
			System::Object* __mcTemp__42[] = new System::Object*[33];
			__mcTemp__42[0] = S"無效果";
			__mcTemp__42[1] = S"耐久度";
			__mcTemp__42[2] = S"STR 力量";
			__mcTemp__42[3] = S"STA 耐力\t\t\t";
			__mcTemp__42[4] = S"INT 智力\t\t\t";
			__mcTemp__42[5] = S"MND 靈力";
			__mcTemp__42[6] = S"AGI 敏捷\t\t\t";
			__mcTemp__42[7] = S"HP  生命值";
			__mcTemp__42[8] = S"MP  魔法值";
			__mcTemp__42[9] = S"SP  特技      ";
			__mcTemp__42[10] = S"HP  回復率";
			__mcTemp__42[11] = S"MP  回復率";
			__mcTemp__42[12] = S"SP  回復率";
			__mcTemp__42[13] = S"ATK 攻擊力";
			__mcTemp__42[14] = S"DEF 防禦力";
			__mcTemp__42[15] = S"MDEF 魔法防禦";
			__mcTemp__42[16] = S"MATK 魔法攻擊";
			__mcTemp__42[17] = S"命中率";
			__mcTemp__42[18] = S"迴避率";
			__mcTemp__42[19] = S"致命一擊率";
			__mcTemp__42[20] = S"格擋率";
			__mcTemp__42[21] = S"攻擊速度";
			__mcTemp__42[22] = S"移動速度  ";
			__mcTemp__42[23] = S"攻擊傷害";
			__mcTemp__42[24] = S"魔法威力( 倍數 )";
			__mcTemp__42[25] = S"所有屬性(基本五個屬性)";
			__mcTemp__42[26] = S"所有抗性";
			__mcTemp__42[27] = S"地抗性";
			__mcTemp__42[28] = S"水抗性";
			__mcTemp__42[29] = S"火抗性";
			__mcTemp__42[30] = S"風抗性";
			__mcTemp__42[31] = S"光抗性";
			__mcTemp__42[32] = S"闇抗性";
			this->CB_AbilityList5->Items->AddRange(__mcTemp__42);
			this->CB_AbilityList5->Location = System::Drawing::Point(16, 120);
			this->CB_AbilityList5->MaxDropDownItems = 1;
			this->CB_AbilityList5->Name = S"CB_AbilityList5";
			this->CB_AbilityList5->Size = System::Drawing::Size(280, 20);
			this->CB_AbilityList5->TabIndex = 8;
			this->CB_AbilityList5->Tag = S"EqType5";
			this->CB_AbilityList5->SelectedIndexChanged += new System::EventHandler(this, &TitleForm::GetIndex_SelectedIndexChanged);
			this->CB_AbilityList5->Click += new System::EventHandler(this, &TitleForm::Select_Ability_Click);
			// 
			// CB_AbilityList4
			// 
			this->CB_AbilityList4->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_AbilityList4->ItemHeight = 12;
			System::Object* __mcTemp__43[] = new System::Object*[33];
			__mcTemp__43[0] = S"無效果";
			__mcTemp__43[1] = S"耐久度";
			__mcTemp__43[2] = S"STR 力量";
			__mcTemp__43[3] = S"STA 耐力\t\t\t";
			__mcTemp__43[4] = S"INT 智力\t\t\t";
			__mcTemp__43[5] = S"MND 靈力";
			__mcTemp__43[6] = S"AGI 敏捷\t\t\t";
			__mcTemp__43[7] = S"HP  生命值";
			__mcTemp__43[8] = S"MP  魔法值";
			__mcTemp__43[9] = S"SP  特技      ";
			__mcTemp__43[10] = S"HP  回復率";
			__mcTemp__43[11] = S"MP  回復率";
			__mcTemp__43[12] = S"SP  回復率";
			__mcTemp__43[13] = S"ATK 攻擊力";
			__mcTemp__43[14] = S"DEF 防禦力";
			__mcTemp__43[15] = S"MDEF 魔法防禦";
			__mcTemp__43[16] = S"MATK 魔法攻擊";
			__mcTemp__43[17] = S"命中率";
			__mcTemp__43[18] = S"迴避率";
			__mcTemp__43[19] = S"致命一擊率";
			__mcTemp__43[20] = S"格擋率";
			__mcTemp__43[21] = S"攻擊速度";
			__mcTemp__43[22] = S"移動速度  ";
			__mcTemp__43[23] = S"攻擊傷害";
			__mcTemp__43[24] = S"魔法威力( 倍數 )";
			__mcTemp__43[25] = S"所有屬性(基本五個屬性)";
			__mcTemp__43[26] = S"所有抗性";
			__mcTemp__43[27] = S"地抗性";
			__mcTemp__43[28] = S"水抗性";
			__mcTemp__43[29] = S"火抗性";
			__mcTemp__43[30] = S"風抗性";
			__mcTemp__43[31] = S"光抗性";
			__mcTemp__43[32] = S"闇抗性";
			this->CB_AbilityList4->Items->AddRange(__mcTemp__43);
			this->CB_AbilityList4->Location = System::Drawing::Point(16, 96);
			this->CB_AbilityList4->MaxDropDownItems = 1;
			this->CB_AbilityList4->Name = S"CB_AbilityList4";
			this->CB_AbilityList4->Size = System::Drawing::Size(280, 20);
			this->CB_AbilityList4->TabIndex = 6;
			this->CB_AbilityList4->Tag = S"EqType4";
			this->CB_AbilityList4->SelectedIndexChanged += new System::EventHandler(this, &TitleForm::GetIndex_SelectedIndexChanged);
			this->CB_AbilityList4->Click += new System::EventHandler(this, &TitleForm::Select_Ability_Click);
			// 
			// CB_AbilityList3
			// 
			this->CB_AbilityList3->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_AbilityList3->ItemHeight = 12;
			System::Object* __mcTemp__44[] = new System::Object*[33];
			__mcTemp__44[0] = S"無效果";
			__mcTemp__44[1] = S"耐久度";
			__mcTemp__44[2] = S"STR 力量";
			__mcTemp__44[3] = S"STA 耐力\t\t\t";
			__mcTemp__44[4] = S"INT 智力\t\t\t";
			__mcTemp__44[5] = S"MND 靈力";
			__mcTemp__44[6] = S"AGI 敏捷\t\t\t";
			__mcTemp__44[7] = S"HP  生命值";
			__mcTemp__44[8] = S"MP  魔法值";
			__mcTemp__44[9] = S"SP  特技      ";
			__mcTemp__44[10] = S"HP  回復率";
			__mcTemp__44[11] = S"MP  回復率";
			__mcTemp__44[12] = S"SP  回復率";
			__mcTemp__44[13] = S"ATK 攻擊力";
			__mcTemp__44[14] = S"DEF 防禦力";
			__mcTemp__44[15] = S"MDEF 魔法防禦";
			__mcTemp__44[16] = S"MATK 魔法攻擊";
			__mcTemp__44[17] = S"命中率";
			__mcTemp__44[18] = S"迴避率";
			__mcTemp__44[19] = S"致命一擊率";
			__mcTemp__44[20] = S"格擋率";
			__mcTemp__44[21] = S"攻擊速度";
			__mcTemp__44[22] = S"移動速度  ";
			__mcTemp__44[23] = S"攻擊傷害";
			__mcTemp__44[24] = S"魔法威力( 倍數 )";
			__mcTemp__44[25] = S"所有屬性(基本五個屬性)";
			__mcTemp__44[26] = S"所有抗性";
			__mcTemp__44[27] = S"地抗性";
			__mcTemp__44[28] = S"水抗性";
			__mcTemp__44[29] = S"火抗性";
			__mcTemp__44[30] = S"風抗性";
			__mcTemp__44[31] = S"光抗性";
			__mcTemp__44[32] = S"闇抗性";
			this->CB_AbilityList3->Items->AddRange(__mcTemp__44);
			this->CB_AbilityList3->Location = System::Drawing::Point(16, 72);
			this->CB_AbilityList3->MaxDropDownItems = 1;
			this->CB_AbilityList3->Name = S"CB_AbilityList3";
			this->CB_AbilityList3->Size = System::Drawing::Size(280, 20);
			this->CB_AbilityList3->TabIndex = 4;
			this->CB_AbilityList3->Tag = S"EqType3";
			this->CB_AbilityList3->SelectedIndexChanged += new System::EventHandler(this, &TitleForm::GetIndex_SelectedIndexChanged);
			this->CB_AbilityList3->Click += new System::EventHandler(this, &TitleForm::Select_Ability_Click);
			// 
			// CB_AbilityList2
			// 
			this->CB_AbilityList2->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_AbilityList2->ItemHeight = 12;
			System::Object* __mcTemp__45[] = new System::Object*[33];
			__mcTemp__45[0] = S"無效果";
			__mcTemp__45[1] = S"耐久度";
			__mcTemp__45[2] = S"STR 力量";
			__mcTemp__45[3] = S"STA 耐力\t\t\t";
			__mcTemp__45[4] = S"INT 智力\t\t\t";
			__mcTemp__45[5] = S"MND 靈力";
			__mcTemp__45[6] = S"AGI 敏捷\t\t\t";
			__mcTemp__45[7] = S"HP  生命值";
			__mcTemp__45[8] = S"MP  魔法值";
			__mcTemp__45[9] = S"SP  特技      ";
			__mcTemp__45[10] = S"HP  回復率";
			__mcTemp__45[11] = S"MP  回復率";
			__mcTemp__45[12] = S"SP  回復率";
			__mcTemp__45[13] = S"ATK 攻擊力";
			__mcTemp__45[14] = S"DEF 防禦力";
			__mcTemp__45[15] = S"MDEF 魔法防禦";
			__mcTemp__45[16] = S"MATK 魔法攻擊";
			__mcTemp__45[17] = S"命中率";
			__mcTemp__45[18] = S"迴避率";
			__mcTemp__45[19] = S"致命一擊率";
			__mcTemp__45[20] = S"格擋率";
			__mcTemp__45[21] = S"攻擊速度";
			__mcTemp__45[22] = S"移動速度  ";
			__mcTemp__45[23] = S"攻擊傷害";
			__mcTemp__45[24] = S"魔法威力( 倍數 )";
			__mcTemp__45[25] = S"所有屬性(基本五個屬性)";
			__mcTemp__45[26] = S"所有抗性";
			__mcTemp__45[27] = S"地抗性";
			__mcTemp__45[28] = S"水抗性";
			__mcTemp__45[29] = S"火抗性";
			__mcTemp__45[30] = S"風抗性";
			__mcTemp__45[31] = S"光抗性";
			__mcTemp__45[32] = S"闇抗性";
			this->CB_AbilityList2->Items->AddRange(__mcTemp__45);
			this->CB_AbilityList2->Location = System::Drawing::Point(16, 48);
			this->CB_AbilityList2->MaxDropDownItems = 1;
			this->CB_AbilityList2->Name = S"CB_AbilityList2";
			this->CB_AbilityList2->Size = System::Drawing::Size(280, 20);
			this->CB_AbilityList2->TabIndex = 2;
			this->CB_AbilityList2->Tag = S"EqType2";
			this->CB_AbilityList2->SelectedIndexChanged += new System::EventHandler(this, &TitleForm::GetIndex_SelectedIndexChanged);
			this->CB_AbilityList2->Click += new System::EventHandler(this, &TitleForm::Select_Ability_Click);
			// 
			// CB_AbilityList1
			// 
			this->CB_AbilityList1->DropDownStyle = System::Windows::Forms::ComboBoxStyle::DropDownList;
			this->CB_AbilityList1->ItemHeight = 12;
			System::Object* __mcTemp__46[] = new System::Object*[33];
			__mcTemp__46[0] = S"無效果";
			__mcTemp__46[1] = S"耐久度";
			__mcTemp__46[2] = S"STR 力量";
			__mcTemp__46[3] = S"STA 耐力\t\t\t";
			__mcTemp__46[4] = S"INT 智力\t\t\t";
			__mcTemp__46[5] = S"MND 靈力";
			__mcTemp__46[6] = S"AGI 敏捷\t\t\t";
			__mcTemp__46[7] = S"HP  生命值";
			__mcTemp__46[8] = S"MP  魔法值";
			__mcTemp__46[9] = S"SP  特技      ";
			__mcTemp__46[10] = S"HP  回復率";
			__mcTemp__46[11] = S"MP  回復率";
			__mcTemp__46[12] = S"SP  回復率";
			__mcTemp__46[13] = S"ATK 攻擊力";
			__mcTemp__46[14] = S"DEF 防禦力";
			__mcTemp__46[15] = S"MDEF 魔法防禦";
			__mcTemp__46[16] = S"MATK 魔法攻擊";
			__mcTemp__46[17] = S"命中率";
			__mcTemp__46[18] = S"迴避率";
			__mcTemp__46[19] = S"致命一擊率";
			__mcTemp__46[20] = S"格擋率";
			__mcTemp__46[21] = S"攻擊速度";
			__mcTemp__46[22] = S"移動速度  ";
			__mcTemp__46[23] = S"攻擊傷害";
			__mcTemp__46[24] = S"魔法威力( 倍數 )";
			__mcTemp__46[25] = S"所有屬性(基本五個屬性)";
			__mcTemp__46[26] = S"所有抗性";
			__mcTemp__46[27] = S"地抗性";
			__mcTemp__46[28] = S"水抗性";
			__mcTemp__46[29] = S"火抗性";
			__mcTemp__46[30] = S"風抗性";
			__mcTemp__46[31] = S"光抗性";
			__mcTemp__46[32] = S"闇抗性";
			this->CB_AbilityList1->Items->AddRange(__mcTemp__46);
			this->CB_AbilityList1->Location = System::Drawing::Point(16, 24);
			this->CB_AbilityList1->MaxDropDownItems = 1;
			this->CB_AbilityList1->Name = S"CB_AbilityList1";
			this->CB_AbilityList1->Size = System::Drawing::Size(280, 20);
			this->CB_AbilityList1->TabIndex = 0;
			this->CB_AbilityList1->Tag = S"EqType1";
			this->CB_AbilityList1->SelectedIndexChanged += new System::EventHandler(this, &TitleForm::GetIndex_SelectedIndexChanged);
			this->CB_AbilityList1->Click += new System::EventHandler(this, &TitleForm::Select_Ability_Click);
			// 
			// groupBox6
			// 
			this->groupBox6->Controls->Add(this->label14);
			this->groupBox6->Controls->Add(this->textBox10);
			this->groupBox6->Location = System::Drawing::Point(6, 268);
			this->groupBox6->Name = S"groupBox6";
			this->groupBox6->Size = System::Drawing::Size(347, 83);
			this->groupBox6->TabIndex = 167;
			this->groupBox6->TabStop = false;
			this->groupBox6->Text = S"裝備處發劇情";
			// 
			// label14
			// 
			this->label14->AutoSize = true;
			this->label14->Font = (new System::Drawing::Font(S"PMingLiU", 9, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				(System::Byte)136));
			this->label14->ForeColor = System::Drawing::SystemColors::ActiveCaption;
			this->label14->Location = System::Drawing::Point(14, 55);
			this->label14->Name = S"label14";
			this->label14->Size = System::Drawing::Size(265, 12);
			this->label14->TabIndex = 164;
			this->label14->Text = S"設定與移除觸發頭銜 Funtion( 0 脫掉 1 穿上 )";
			// 
			// textBox10
			// 
			this->textBox10->Location = System::Drawing::Point(12, 21);
			this->textBox10->Name = S"textBox10";
			this->textBox10->Size = System::Drawing::Size(319, 22);
			this->textBox10->TabIndex = 161;
			this->textBox10->Tag = S"TitleSysLuaEvent";
			this->textBox10->TextChanged += new System::EventHandler(this, &TitleForm::GetStr_TextChanged);
			// 
			// TitleForm
			// 
			this->AutoScaleBaseSize = System::Drawing::Size(5, 15);
			this->ClientSize = System::Drawing::Size(816, 814);
			this->Controls->Add(this->panel1);
			this->Name = S"TitleForm";
			this->Text = S"TitleForm";
			this->panel1->ResumeLayout(false);
			this->panel1->PerformLayout();
			this->groupBox5->ResumeLayout(false);
			this->groupBox5->PerformLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown1))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown2))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown3))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown4))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown5))->EndInit();
			this->groupBox4->ResumeLayout(false);
			this->groupBox4->PerformLayout();
			this->groupBox3->ResumeLayout(false);
			this->groupBox3->PerformLayout();
			this->TabControl_Type->ResumeLayout(false);
			this->tabPage2->ResumeLayout(false);
			this->groupBox1->ResumeLayout(false);
			this->groupBox1->PerformLayout();
			this->tabPage4->ResumeLayout(false);
			this->tabPage4->PerformLayout();
			this->groupBox2->ResumeLayout(false);
			this->groupBox2->PerformLayout();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown36))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown35))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown34))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown33))->EndInit();
			(__try_cast<System::ComponentModel::ISupportInitialize*  >(this->numericUpDown32))->EndInit();
			this->groupBox6->ResumeLayout(false);
			this->groupBox6->PerformLayout();
			this->ResumeLayout(false);

		}		

#ifndef _Just_Show_DotNet_Form_
    private:
        System::Void GetStr_TextChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void GetValue_ValueChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void ChangeFlag(System::Object *  sender, System::EventArgs *  e);
        System::Void GetIndex_SelectedIndexChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void GetIntValue_TextChanged(System::Object *  sender, System::EventArgs *  e);
        System::Void BaseForm_Closing(System::Object *  sender, System::ComponentModel::CancelEventArgs *  e);
        System::Void SearchObj_DClick(System::Object *  sender, System::EventArgs *  e);
		System::Void Select_Ability_Click(System::Object*  sender, System::EventArgs*  e);
#endif
		System::Void TitleType_SelectedIndexChange(System::Object*  sender, System::EventArgs*  e);
        //######################################################################################################
    protected:
        //主要需要繼承的涵式
        virtual ReaderClass< DB_GameObjDbStruct >* ObjReader( );       
        virtual void    OnActive();
        virtual void    OnSelectObj( bool LockOk );
        //輸出時額外設定
        virtual void    OnOutputObjSetting( DB_GameObjDbStruct* TempObj );
        virtual void    OnTimeProc();
        virtual int     ObjSize();
        virtual void    OnValueChange( );
        //######################################################################################################

		System::Void ChangeMode(System::Object*  sender, System::EventArgs*  e);


};
}